USB3.1 HUB FW update

I’ve used VIA Lab’s VL822-Q7 instead of Realtek’s RTS5420 with a USB3.1 HUB, but I’m facing difficulties because the FW update tool doesn’t support 64-bit ARM Linux (L4T).
Waveshare has also developed a Carrierboard using the VL822 chip (https://www.waveshare.com/product/ai/boards-kits/jetson-orin/jetson-orin-io-base.htm).

How should such issues be addressed in this case? Note that VIA LAB reviewed the circuit and provided firmware for modification, stating that firmware needed to be adjusted. However, the download tool is only available for Windows OS.

Any advice would be appreciated. Thank you.

You need to contact with vendor for the problem, that’s not we can support.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.